package fr.dgedl.service;

import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import fr.dgedl.domain.User;
import fr.dgedl.repository.UserRepository;

/**
 * Manages the application's users.
 *
 */
@Service
@Transactional
public class UserService {

    private final Log log = LogFactory.getLog(UserService.class);

	@Autowired
	private UserRepository userRepository;

	/**
	 * Return all Users
	 * 
	 */
	public List<User> getAllUsers() {
		return userRepository.findAll();
    }

}